QT5OPTIONS(7)

NOME
qt5options - As opções comuns da linha de comandos que se baseiem nas bibliotecas do Qt

SINOPSE

Aplicação do Qt [-style= estilo / -style estilo] [-stylesheet= folha de estilo / -stylesheet folha de estilo] [-widgetcount] [-reverse] [-qmljsdebugger= porto] [-platform nomePlataforma[:opções]] [-platformpluginpath localização] [-platformtheme temaPlataforma] [-plugin plugin] [-qwindowgeometry geometria] [-qwindowicon ícone] [-qwindowtitle título] [-reverse] [-session sessão] [-display máquina:número_ecrã] [-geometry geometria] [-dialogs= [xp|none]] [-fontengine= freetype] [-h, --help e -? no Windows] [-v --version]

OPÇÕES

As seguintes opções aplicam-se a todas as aplicações do Qt(TM):

-style= estilo / -style estilo
    Define o estilo gráfico da aplicação. Os valores possíveis dependem da configuração do sistema. Se o Qt for compilado com os estilos adicionais ou se tiver estilos adicionais como 'plugins', estes ficarão disponíveis na opção '-style' da linha de comandos.

-stylesheet= folha de estilo / -stylesheet folha de estilo
    Define a folha de estilo da aplicação. O valor deverá ser a localização de um ficheiro que contém a dita folha de estilo.

-widgetcount
    Imprime uma mensagem de depuração no fim sobre o número de elementos gráficos não destruídos e o número máximo de elementos que existiram ao mesmo tempo.

-reverse
    Configura a direcção da formatação da aplicação como Qt::RightToLeft. Esta opção pretende ajudar na depuração e não deve ser usada em produção. O valor por omissão é detectado automaticamente a partir da região do utilizador (ver também o QLocale::textDirection()).

-qmljsdebugger= porto
    Activa o depurador de QML/JS com um dado porto em particular. O valor deverá ser no formato porto:1234[,bloqueio], onde o bloqueio é opcional e fará com que a aplicação espere até que um depurador se ligue a ela.

-platform nomePlataforma[:opções]
    Define o 'plugin' do QPA (Qt Platform Abstraction).

-platformpluginpath localização
    Define a localização dos 'plugins' da plataforma.

-platformtheme temaPlataforma
    Define o tema da plataforma.

-plugin plugin
    Define os 'plugins' adicionais a carregar. O argumento poderá ocorrer várias vezes.

-qwindowgeometry geometria
    Define a geometria da janela principal, usando a sintaxe do X11. Por exemplo: -qwindowgeometry 100x100+50+50

-qwindowicon ícone
    Define o ícone por omissão da janela.

-qwindowtitle título
    Define o título da primeira janela.

-session sessão
    Repõe a aplicação a partir de uma sessão anterior.

-display máquina:número_ecrã
    Muda de ecrã no X11. Substitui a variável de ambiente DISPLAY.

-geometry geometria
    Define a geometria da janela principal no X11. Por exemplo: -geometry 100x100+50+50.

-dialogs= [xp|none]
    Só disponível na '-platform windows'. O 'xp' usa as janelas nativas com o estilo do XP e o 'none' desactiva-as.

-fontengine= freetype
    Usa o motor de tipos de letra FreeType.

-h, --help e -? no Windows
    Imprime todas as opções e a descrição da aplicação.

-v --version
    Mostra o texto da versão da aplicação.

VEJA TAMBÉM

kf5options(7)

AUTORES

A página de manual foi escrita originalmente por Lauri Watts <lauri@kde.org>

Actualizado para as Plataformas 5 por Burkhard Lück <lueck@hube-lueck.de>

As informações desta página de manual são da documentação do QApplication[1], da documentação do QGuiApplication[2] e da documentação do QCommandLineParser[3].

AUTORES

Lauri Watts <lauri@kde.org>
    Autor.

Burkhard Lück <lueck@hube-lueck.de>
    Autor.

NOTAS

1.  documentação do QApplication
    http://doc.qt.io/qt-5/qapplication.html#QApplication

2.  documentação do QGuiApplication
    http://doc.qt.io/qt-5/qguiapplication.html#QGuiApplication

3.  documentação do QCommandLineParser
    http://doc.qt.io/qt-5/qcommandlineparser.html